> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Export Settings FTP

> Creates new FTP settings and adds them to an existing Export Settings object, which may be useful if you want the export to go to a new endpoint instead of the one originally set up (or if the export needs to go to multiple endpoints). This call will not function unless you have performed the initial Create Export Settings request first.



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/export/ftp/create
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/export/ftp/create:
    post:
      tags:
        - ExportInventory
      summary: Create Export Settings FTP
      description: >-
        Creates new FTP settings and adds them to an existing Export Settings
        object, which may be useful if you want the export to go to a new
        endpoint instead of the one originally set up (or if the export needs to
        go to multiple endpoints). This call will not function unless you have
        performed the initial Create Export Settings request first.
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/CreateExportSettingsFTPRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportSettingsResponse'
          description: Success
        '400':
          description: Bad Request
        '500':
          description: Internal Service Error
components:
  requestBodies:
    CreateExportSettingsFTPRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CreateExportSettingsFTPRequest'
      description: Request to create a new Export Settings FTP
      required: true
  schemas:
    ExportSettingsResponse:
      description: Job ID Response
      properties:
        exportSettingsFTPName:
          description: Created Export Settings FTP Name
          type: string
        exportSettingsName:
          description: Created Export Settings Name
          type: string
        exportSettingsS3Name:
          description: Created Export Settings S3 Name
          type: string
      title: Job ID Response
      type: object
    CreateExportSettingsFTPRequest:
      description: Request needed for creating Export Settings FTP
      properties:
        exportSettingsFTP:
          $ref: '#/components/schemas/ExportSettingsFTP'
        exportSettingsName:
          description: Export Settings Name to associate the ftp settings with
          type: string
        locationCode:
          description: Location Code
          title: location code
          type: string
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Create Export Settings FTP Request
      type: object
    ExportSettingsFTP:
      description: Export Settings FTP
      properties:
        active:
          description: Flag for Active State
          type: boolean
        controlFile:
          description: Control File
          type: string
        controlFileEmail:
          description: Control File Email
          type: string
        controlFileName:
          description: Control File Name
          type: string
        deliveryClass:
          description: FTP Delivery Class. Defaults to ExportDeliveryDefault
          type: string
        endpoint:
          description: Endpoint
          type: string
        environment:
          description: Environment
          type: string
        exportSettingsFTPID:
          description: Export Settings FTP ID
          type: integer
        exportSettingsID:
          description: Export Settings ID
          type: integer
        ftpDirectory:
          description: FTP Server Directory
          type: string
        ftpDirectoryControlFile:
          description: FTP Server Control File Directory
          type: string
        ftpPassword:
          description: FTP Password
          type: string
        ftpPort:
          description: FTP Server Port
          type: integer
        ftpServer:
          description: FTP Server Address
          type: string
        ftpUser:
          description: FTP Username
          type: string
        name:
          description: Export Settings FTP Name
          type: string
        remoteFileName:
          description: Remote File Name
          type: string
      required:
        - name
        - ftpServer
        - ftpPort
        - ftpDirectory
      title: Export Settings FTP
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````